# MatGetBrowsOfAoCols

Creates a SeqAIJ matrix by taking rows of B that equal to nonzero columns of the OFF-DIAGONAL portion of local A

### Synopsis

    #include "petscmat.h"
    PetscErrorCode PETSCMAT_DLLEXPORT MatGetBrowsOfAoCols(Mat A,Mat B,MatReuse scall,PetscInt **startsj,PetscScalar **bufa_ptr,Mat *B_oth)

Collective on Mat

### Input Parameters

| A,B | - the matrices in mpiaij format
| scall | - either MAT_INITIAL_MATRIX or MAT_REUSE_MATRIX
| startsj | - starting point in B's sending and receiving j-arrays, saved for MAT_REUSE (or PETSC_NULL)
| bufa_ptr | - array for sending matrix values, saved for MAT_REUSE (or PETSC_NULL)

### Output Parameter

| B_oth | - the sequential matrix generated

Level:developer
Location: src/mat/impls/aij/mpi/mpiaij.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages